===================
Vultures Change log
===================

For load and size reasons this changelog only reflects the most recent 100 (one hundred) changes made. For the full history, please check the changelog.txt_ file, or you can also view the `repository changes live`_ in more detail.

.. _changelog.txt: changelog.txt
.. _`repository changes live`: http://usrsrc.org/darcsweb/darcsweb.cgi?r=vultures

.. contents::


TAG 2.0.0
========= 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Thu Apr  6 09:58:12 SAST 2006
:Patch: `20060406075812-eb905-5d1e34b14e38d4b5bb30254b794ffe5f2d391838.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060406075812-eb905-5d1e34b14e38d4b5bb30254b794ffe5f2d391838.gz


correct mismatched overline in changelog generation
--------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Thu Apr  6 09:57:22 SAST 2006
:Patch: `20060406075722-eb905-3c29c84265b10652d9429041a4678bed0ae0a18f.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060406075722-eb905-3c29c84265b10652d9429041a4678bed0ae0a18f.gz

Modified files:

 - `util/changelog.py`_


object tiles: elven arrow, silver arrow, orcish arrow, ya, crossbow bolt, dart
------------------------------------------------------------------------------ 

:Author: thalerd@in.tum.de
:Date: Thu Apr  6 00:57:25 SAST 2006
:Patch: `20060405225725-a54d2-2fa82ef24606601ff0a19f590876e9952309b2be.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060405225725-a54d2-2fa82ef24606601ff0a19f590876e9952309b2be.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object7.png`_
 - `vultures/util/tilespec.c`_


PICK_ONE menu items auto "Ok" ... removes an extra redundant click or press
--------------------------------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Wed Apr  5 21:21:14 SAST 2006
:Patch: `20060405192114-eb905-d0e88c011cf8ae96793fb706e9fe1028de26c26c.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060405192114-eb905-d0e88c011cf8ae96793fb706e9fe1028de26c26c.gz

Modified files:

 - `vultures/vultures_win_event.c`_


space as a synonym for escape within menus
------------------------------------------ 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Wed Apr  5 21:06:28 SAST 2006
:Patch: `20060405190628-eb905-047d72aac8ee710bffcc34a9755dba9a0c53d7c7.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060405190628-eb905-047d72aac8ee710bffcc34a9755dba9a0c53d7c7.gz

Modified files:

 - `vultures/vultures_win_event.c`_


change font from vera.ttf to VeraSe.ttf
--------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Wed Apr  5 19:37:34 SAST 2006
:Patch: `20060405173734-eb905-4fd6453f574c7660dd2466dafe06b31905edc21e.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060405173734-eb905-4fd6453f574c7660dd2466dafe06b31905edc21e.gz

Modified files:

 - `vultures/gamedata/fonts/VeraSe.ttf`_
 - `vultures/vultures_win.h`_

Renamed/moved files:

 - `vultures/gamedata/fonts/vera.ttf`_ to `vultures/gamedata/fonts/VeraSe.ttf`_


object tile: bell of opening
---------------------------- 

:Author: thalerd@in.tum.de
:Date: Wed Apr  5 16:26:15 SAST 2006
:Patch: `20060405142615-a54d2-4f0141050f89c05756017aa2495d69b2c64b9647.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060405142615-a54d2-4f0141050f89c05756017aa2495d69b2c64b9647.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object7.png`_
 - `vultures/util/tilespec.c`_


Spellbooks. LOTS of spellbooks.
------------------------------- 

:Author: thalerd@in.tum.de
:Date: Wed Apr  5 15:41:10 SAST 2006
:Patch: `20060405134110-a54d2-73974b6319e4588789c041a41c7bc65faa42b3d0.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060405134110-a54d2-73974b6319e4588789c041a41c7bc65faa42b3d0.gz

Added files:

 - `vultures/gamedata/graphics/tilesrc/object7.png`_

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object1.png`_
 - `vultures/gamedata/graphics/tilesrc/object6.png`_
 - `vultures/util/tilespec.c`_


cleanup meta-makefile a bit
--------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Sun Apr  2 21:22:49 SAST 2006
:Patch: `20060402192249-eb905-da54749311eb4dc94b520438fefcff4b658a1ba2.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060402192249-eb905-da54749311eb4dc94b520438fefcff4b658a1ba2.gz

::

	ok, I admit it, my primary motive for this cleanup was
	to make it easier to re-use this makefile for some of
	my other interfaces :P

Modified files:

 - `GNUmakefile`_
 - `vultures/vulturev.h`_

Renamed/moved files:

 - `vultures/vultureversion.h`_ to `vultures/vulturesversion.h`_


removed hopefully the last reference to "vultures 2"
---------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Sun Apr  2 20:57:23 SAST 2006
:Patch: `20060402185723-eb905-37f780904fea9683bccbbe97f17c7efe3b267363.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060402185723-eb905-37f780904fea9683bccbbe97f17c7efe3b267363.gz

Modified files:

 - `util/changelog.py`_


object tiles: dragon scales in 9 colors
--------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sun Apr  2 02:47:33 SAST 2006
:Patch: `20060402004733-a54d2-08b955e9f86537dee96ce08e9b9c3018b4498496.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060402004733-a54d2-08b955e9f86537dee96ce08e9b9c3018b4498496.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object6.png`_
 - `vultures/util/tilespec.c`_


fix 64-bit problem in the menu handling code
-------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sun Apr  2 01:02:52 SAST 2006
:Patch: `20060401230252-a54d2-f96ab376f753a26273526f3011edefdd12520ba5.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060401230252-a54d2-f96ab376f753a26273526f3011edefdd12520ba5.gz

::

	on 64-bit sizeof(int) != sizeof(void*) ...
	
	In add menu we are given an "identifier" parameter which has the type "union any".
	Generally we only need the "int" part of the union; however for menus triggered by
	'A' (ie "remove" on the context menu) the identifier is actually a pointer to an object.
	We were storing only the int portion of the identifier. This works nicely on 32-bit,
	but truncates the pointer on 64-bit machines and leads to crashes when nethack tries
	to dereference the identifier we return in the menu selection.

Modified files:

 - `vultures/vultures_main.c`_
 - `vultures/vultures_types.h`_


replace the questionmark tiles by higher-quality ones
----------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Apr  1 23:41:02 SAST 2006
:Patch: `20060401214102-a54d2-14bac3755664c8a33c6fbe52f03268fa9e0787f7.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060401214102-a54d2-14bac3755664c8a33c6fbe52f03268fa9e0787f7.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/unknown.png`_


remove a now useles line from tilespec.c
---------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Apr  1 18:11:36 SAST 2006
:Patch: `20060401161136-a54d2-39d6b9e852e99a3010642088de36462f55345063.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060401161136-a54d2-39d6b9e852e99a3010642088de36462f55345063.gz

Modified files:

 - `vultures/util/tilespec.c`_


fix the invisible stalker tile
------------------------------ 

:Author: thalerd@in.tum.de
:Date: Sat Apr  1 18:10:59 SAST 2006
:Patch: `20060401161059-a54d2-0f5b928c806b41c5425916977d3b9827ca94f072.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060401161059-a54d2-0f5b928c806b41c5425916977d3b9827ca94f072.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/monster8.png`_


new object tiles: shield of reflection, elven shield
---------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Fri Mar 31 16:44:33 SAST 2006
:Patch: `20060331144433-a54d2-d59fe94d5835087788429b28806a57cdab56e575.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060331144433-a54d2-d59fe94d5835087788429b28806a57cdab56e575.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object6.png`_
 - `vultures/util/tilespec.c`_


give the katana a shadow
------------------------ 

:Author: thalerd@in.tum.de
:Date: Fri Mar 31 04:45:59 SAST 2006
:Patch: `20060331024559-a54d2-df3c1c9ecbe33df05a4485647bb9e8a6898cb123.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060331024559-a54d2-df3c1c9ecbe33df05a4485647bb9e8a6898cb123.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object6.png`_


Katana object tile
------------------ 

:Author: thalerd@in.tum.de
:Date: Fri Mar 31 04:00:54 SAST 2006
:Patch: `20060331020054-a54d2-2e727c7dfe92b50dd58c082b09e4bcb89e402c37.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060331020054-a54d2-2e727c7dfe92b50dd58c082b09e4bcb89e402c37.gz

::

	try 3: finally! a katana that doesn't look like a noodle...

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object6.png`_
 - `vultures/util/tilespec.c`_


finish cleaning up monster shadows
---------------------------------- 

:Author: thalerd@in.tum.de
:Date: Fri Mar 31 02:34:34 SAST 2006
:Patch: `20060331003434-a54d2-8ffe98769b521c8704fcab76b90a2a26ba222ada.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060331003434-a54d2-8ffe98769b521c8704fcab76b90a2a26ba222ada.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/monster10.png`_
 - `vultures/gamedata/graphics/tilesrc/monster13.png`_
 - `vultures/gamedata/graphics/tilesrc/monster14.png`_
 - `vultures/gamedata/graphics/tilesrc/monster15.png`_
 - `vultures/gamedata/graphics/tilesrc/monster16.png`_
 - `vultures/gamedata/graphics/tilesrc/monster18.png`_
 - `vultures/gamedata/graphics/tilesrc/monster3.png`_
 - `vultures/gamedata/graphics/tilesrc/monster4.png`_
 - `vultures/gamedata/graphics/tilesrc/monster5.png`_
 - `vultures/gamedata/graphics/tilesrc/monster6.png`_
 - `vultures/gamedata/graphics/tilesrc/monster7.png`_
 - `vultures/gamedata/graphics/tilesrc/monster8.png`_
 - `vultures/gamedata/graphics/tilesrc/monster9.png`_
 - `vultures/gamedata/graphics/tilesrc/monstermisc1.png`_
 - `vultures/gamedata/graphics/tilesrc/monstermisc2.png`_
 - `vultures/gamedata/graphics/tilesrc/statue0.png`_


make magic potals less grainy by applying light gaussian blur
------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Thu Mar 30 02:30:06 SAST 2006
:Patch: `20060330003006-a54d2-5e1d9313f2c0afe37b200c1f3be0d21069136e42.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060330003006-a54d2-5e1d9313f2c0afe37b200c1f3be0d21069136e42.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/misc_c1.png`_


New graphics: Toilet (slashem), can of grease, magic lamp, oil lamp
------------------------------------------------------------------- 

:Author: Phlimm <inertiadampers@hotmail.com>
:Date: Thu Mar 30 02:06:23 SAST 2006
:Patch: `20060330000623-3232a-8b7ca693a9f4cea06768839fd045b4d8ee764538.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060330000623-3232a-8b7ca693a9f4cea06768839fd045b4d8ee764538.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/misc_c8.png`_
 - `vultures/gamedata/graphics/tilesrc/object6.png`_
 - `vultures/util/tilespec.c`_
 - `vultures/vultures_map.c`_


remove key config file and all mentions of it in the manual, makefiles, etc
--------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Wed Mar 29 23:33:02 SAST 2006
:Patch: `20060329213302-a54d2-1eec43a229af313ba4c877d86d9f8ae47012eda6.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060329213302-a54d2-1eec43a229af313ba4c877d86d9f8ae47012eda6.gz

Modified files:

 - `nethack/sys/unix/Makefile.top`_
 - `slashem/sys/unix/Makefile.top`_
 - `vultures/gamedata/manual/chapter09.html`_
 - `vultures/vultures_win.h`_


remove key mapping
------------------ 

:Author: thalerd@in.tum.de
:Date: Wed Mar 29 23:26:32 SAST 2006
:Patch: `20060329212632-a54d2-79dff8de5623f0acc24d1516f88a120b296c0214.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060329212632-a54d2-79dff8de5623f0acc24d1516f88a120b296c0214.gz

Modified files:

 - `vultures/vultures_init.c`_
 - `vultures/vultures_main.c`_
 - `vultures/vultures_opt.c`_
 - `vultures/vultures_win.c`_
 - `vultures/vultures_win_event.c`_
 - `vultures/vultures_win_event.h`_


move the travel hack from display_nhwindow into get_nh_event
------------------------------------------------------------ 

:Author: thalerd@in.tum.de
:Date: Wed Mar 29 19:56:56 SAST 2006
:Patch: `20060329175656-a54d2-c35277c8c5ad83fb3a354c69700b5d22cbd7c707.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060329175656-a54d2-c35277c8c5ad83fb3a354c69700b5d22cbd7c707.gz

::

	get_nh_event is a better place for it, because it gets called every turn unconditionally
	whereas display_nhwindow only gets called every turn if you have runmode=walk set.

Modified files:

 - `vultures/vultures_main.c`_


improve some more monster-shadows (moster0.png - monster3.png)
-------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Wed Mar 29 14:59:09 SAST 2006
:Patch: `20060329125909-a54d2-83cf0d5e0465e584ce741cbcb51bdc556f21f7b1.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060329125909-a54d2-83cf0d5e0465e584ce741cbcb51bdc556f21f7b1.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/monster0.png`_
 - `vultures/gamedata/graphics/tilesrc/monster1.png`_
 - `vultures/gamedata/graphics/tilesrc/monster2.png`_
 - `vultures/gamedata/graphics/tilesrc/monster3.png`_


remove static version text from slashem logo screen
--------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Wed Mar 29 14:21:13 SAST 2006
:Patch: `20060329122113-eb905-ba99d545929152e8e562e4a88dee6c8b48bf72cb.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060329122113-eb905-ba99d545929152e8e562e4a88dee6c8b48bf72cb.gz

Modified files:

 - `vultures/gamedata/graphics/se_vc_1.png`_


remove static version text from nethack logo screen
--------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Wed Mar 29 14:20:57 SAST 2006
:Patch: `20060329122057-eb905-2dec69de783b490214e95a363505ef1b2674bf11.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060329122057-eb905-2dec69de783b490214e95a363505ef1b2674bf11.gz

Modified files:

 - `vultures/gamedata/graphics/nh_ve_1.png`_


use full/dynamic version information for intro/logo screen
---------------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Wed Mar 29 14:20:09 SAST 2006
:Patch: `20060329122009-eb905-01affcf6ddba98da8cca611fc2a1fac567b3f055.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060329122009-eb905-01affcf6ddba98da8cca611fc2a1fac567b3f055.gz

Modified files:

 - `vultures/vultures_init.c`_


add a comment to the top of the nonGNU meta makefile
---------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Wed Mar 29 13:10:59 SAST 2006
:Patch: `20060329111059-eb905-bd7fcdc92e6b4112f00652e080b159c87f903672.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060329111059-eb905-bd7fcdc92e6b4112f00652e080b159c87f903672.gz

::

	I got really tired of explaining this

Modified files:

 - `Makefile`_


mark the travel hack as such
---------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Wed Mar 29 09:33:56 SAST 2006
:Patch: `20060329073356-eb905-45ac2a991be5ecb5ca2811ff026184233b4da173.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060329073356-eb905-45ac2a991be5ecb5ca2811ff026184233b4da173.gz

::

	This is not a real fix. The variant itself should fix this, so I am marking it
	as such so that it can be removed if (when?) the variant itself fixes this.

Modified files:

 - `vultures/vultures_main.c`_


catch and break out of infinite travel loops
-------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Wed Mar 29 01:16:29 SAST 2006
:Patch: `20060328231629-a54d2-c5eb594a656022e3b14fbe67a1bdcffd8cd6f268.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060328231629-a54d2-c5eb594a656022e3b14fbe67a1bdcffd8cd6f268.gz

::

	rather than cause headaches by checking for user input in the "wrong" place
	we try to break out of infinite travel loops automatically by checking whether
	the newly-entered mapsquare as the on we were on 2 turn back.
	
	This possibly isn't completely watertight: if a loop were to involve 3 or more squares
	it wouln't be detected. However I've never seen anything like that, so I think the
	possibility of that happening is almost nonexistent

Modified files:

 - `vultures/vultures_main.c`_


don't show the alignment if the exp gets too long
------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Tue Mar 28 22:24:46 SAST 2006
:Patch: `20060328202446-a54d2-00ee3cfaa3e181fe9e8ecf64617af1d928bad882.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060328202446-a54d2-00ee3cfaa3e181fe9e8ecf64617af1d928bad882.gz

Modified files:

 - `vultures/vultures_win.c`_


add a missing "break" to eliminate the duplicate "kick" context-menu entry on altars
------------------------------------------------------------------------------------ 

:Author: thalerd@in.tum.de
:Date: Tue Mar 28 22:10:50 SAST 2006
:Patch: `20060328201050-a54d2-1eee225fb6b2868eef9b375bffab22aedcaba6f5.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060328201050-a54d2-1eee225fb6b2868eef9b375bffab22aedcaba6f5.gz

Modified files:

 - `vultures/vultures_map.c`_


correctness fix: we were giving away information about objects by showing their real tile even when blind
--------------------------------------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Tue Mar 28 14:43:32 SAST 2006
:Patch: `20060328124332-a54d2-403117e1ffd14a05412bc0847cffce2835943d09.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060328124332-a54d2-403117e1ffd14a05412bc0847cffce2835943d09.gz

Modified files:

 - `vultures/vultures_map.c`_


squash the "Bad fruit #0" bug
----------------------------- 

:Author: thalerd@in.tum.de
:Date: Mon Mar 27 02:23:38 SAST 2006
:Patch: `20060327002338-a54d2-169552bdaa7bf13836a94bcefe5defcb85c46270.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060327002338-a54d2-169552bdaa7bf13836a94bcefe5defcb85c46270.gz

::

	This one was particularly insiduous: vultures_askname was letting vultures_get_input
	write the typed playername directly into the plname buffer.
	vultures_get_inpuit assumes that the buffer is BUFSZ (=256) bytes long; the plname buffer is 32
	bytes long...
	And the reason I never saw this bug is that I set my playernam in .nethackrc, so askname never gets
	called on my system.

Modified files:

 - `vultures/vultures_init.c`_


document how to take a screenshot in chapter 4 of the manual
------------------------------------------------------------ 

:Author: thalerd@in.tum.de
:Date: Mon Mar 27 01:53:46 SAST 2006
:Patch: `20060326235346-a54d2-e7c347b33b17daa07ac7c46df58a0d2951bf7550.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060326235346-a54d2-e7c347b33b17daa07ac7c46df58a0d2951bf7550.gz

Modified files:

 - `vultures/gamedata/manual/chapter04.html`_


add F12 as a keybinding to take a screenshot; on windows appilcations apparrently never get to see "print screen" keypresses
---------------------------------------------------------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Mon Mar 27 01:44:34 SAST 2006
:Patch: `20060326234434-a54d2-694dcf77d636061a99ce04e19efbc86f346b519d.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060326234434-a54d2-694dcf77d636061a99ce04e19efbc86f346b519d.gz

Modified files:

 - `vultures/vultures_sdl.c`_


add -lpng to the libs in the windows Makefiles
---------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Mon Mar 27 01:36:36 SAST 2006
:Patch: `20060326233636-a54d2-2eb7e9c111be97064963e0cb885678793c37957f.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060326233636-a54d2-2eb7e9c111be97064963e0cb885678793c37957f.gz

Modified files:

 - `nethack/sys/winnt/Makefile.gcc`_
 - `slashem/sys/winnt/Makefile.gcc`_


update the windows building instructions
---------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Mon Mar 27 01:30:42 SAST 2006
:Patch: `20060326233042-a54d2-cb5e284758b68b7c798e819cde09d82a59fc3293.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060326233042-a54d2-cb5e284758b68b7c798e819cde09d82a59fc3293.gz

::

	- go back to using mingwPORT scripts for zlib and libpng. If we don't, they get built as static
	  libraries; the mingwPORTs generate dlls, which is a lot better
	- document that the mingwPORT scripts need wget and where to get wget binaries for windows.
	- document that we use pre-built dlls by default
	- make use of literal blocks for the commands so that they get special markup in the html output
	  rather than just becoming part of the previous paragraph.

Modified files:

 - `doc/INSTALL_win32.rst`_


fix the macosx makedmg scripts
------------------------------ 

:Author: Dirk Schoenberger
:Date: Sun Mar 26 23:09:28 SAST 2006
:Patch: `20060326210928-69dc1-046d6e41ef1c665e6c53cc68014e315e279cff6a.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060326210928-69dc1-046d6e41ef1c665e6c53cc68014e315e279cff6a.gz

Modified files:

 - `dist/macosx/makedmg-nethack`_
 - `dist/macosx/makedmg-slashem`_


remove an obsolete define from vultures_conf.h
---------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sun Mar 26 23:03:54 SAST 2006
:Patch: `20060326210354-a54d2-a5136d01dc361ffd3e63dbefd0554c6d56e60b1e.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060326210354-a54d2-a5136d01dc361ffd3e63dbefd0554c6d56e60b1e.gz

Modified files:

 - `vultures/vultures_conf.h`_


shorten the paths used for installations into the homedir
--------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sun Mar 26 22:21:51 SAST 2006
:Patch: `20060326202151-a54d2-7c36a23e1cb8bbc6c6c3ff7e02538050b15bfd4d.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060326202151-a54d2-7c36a23e1cb8bbc6c6c3ff7e02538050b15bfd4d.gz

::

	both vultureseye and vulturesclaw now put their shellscript directly
	into ~/vultures/ and have their gamedata in ~/vultures/vultures{eye,claw}dir/

Modified files:

 - `GNUmakefile`_


make vultures_curs dependent on vultures_whatis_active and recenter the screen if the mouse tries to move outside it
-------------------------------------------------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sun Mar 26 19:51:17 SAST 2006
:Patch: `20060326175117-a54d2-1f5349b53c204a63ddd0a87264cec2df01336494.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060326175117-a54d2-1f5349b53c204a63ddd0a87264cec2df01336494.gz

Modified files:

 - `vultures/vultures_main.c`_


implement vultures_curs as it is meant to be
-------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Sun Mar 26 14:29:47 SAST 2006
:Patch: `20060326122947-eb905-b1c93c2aa354f3c8ee37facfc5bf4a65aed92b48.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060326122947-eb905-b1c93c2aa354f3c8ee37facfc5bf4a65aed92b48.gz

::

	Finally I am able to start playing using this interface.
	I have been avoiding using Vulture's for my actual games
	because of it's heave reliance on the mouse. This fix
	allows me to move the 'whatis' and other cursors using
	the keyboard.
	
	Gotchas:
	- crashes when cursor moves offscreen.
	- moves cursor ahead of character when the character is
	  walking. (This may be fixed when I add support for
	  'clipping' which is also not used yet *tsk*)

Modified files:

 - `vultures/vultures_main.c`_


correct the spelling of 'centre'
-------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Sun Mar 26 14:17:32 SAST 2006
:Patch: `20060326121732-eb905-1b6d89ff753c7215b9233f7966bfe7255c060d35.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060326121732-eb905-1b6d89ff753c7215b9233f7966bfe7255c060d35.gz

Modified files:

 - `vultures/vultures_map.c`_


add function vultures_map_to_mouse
---------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Sun Mar 26 13:28:27 SAST 2006
:Patch: `20060326112827-eb905-134a804751940a9af797004d8fa73adaa8297cdf.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060326112827-eb905-134a804751940a9af797004d8fa73adaa8297cdf.gz

Modified files:

 - `vultures/vultures_map.c`_
 - `vultures/vultures_map.h`_


improve macosx dmg building
--------------------------- 

:Author: thalerd@in.tum.de
:Date: Sun Mar 26 15:07:17 SAST 2006
:Patch: `20060326130717-a54d2-c7031248015672ebbfe80dca60a76399fb9f838b.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060326130717-a54d2-c7031248015672ebbfe80dca60a76399fb9f838b.gz

::

	we're probably not comletely there yet, but this should improve things

Modified files:

 - `GNUmakefile`_
 - `dist/macosx/makedmg-nethack`_
 - `dist/macosx/makedmg-slashem`_
 - `nethack/sys/unix/Makefile.src`_
 - `slashem/sys/unix/Makefile.src`_


don't crash if someone takes a screenshot of the logo-screen
------------------------------------------------------------ 

:Author: thalerd@in.tum.de
:Date: Sun Mar 26 02:34:42 SAST 2006
:Patch: `20060326003442-a54d2-bef44057977346558f9efa178b58c086d620db11.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060326003442-a54d2-bef44057977346558f9efa178b58c086d620db11.gz

::

	doing that is fairly pointless, but crashing is worse

Modified files:

 - `vultures/vultures_gfl.c`_
 - `vultures/vultures_win.c`_
 - `vultures/vultures_win.h`_


save screenshots as png rather than bmp
--------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sun Mar 26 02:16:14 SAST 2006
:Patch: `20060326001614-a54d2-a5314763a355b0edee746af25bd29f62dd2ed110.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060326001614-a54d2-a5314763a355b0edee746af25bd29f62dd2ed110.gz

::

	writin a png file is pretty easy, so why use bmp :)

Modified files:

 - `vultures/vultures_gfl.c`_


fix a minor memory leak in tiletrans
------------------------------------ 

:Author: thalerd@in.tum.de
:Date: Sun Mar 26 02:14:10 SAST 2006
:Patch: `20060326001410-a54d2-0958f2a110d79d454868f394993050a1c459d74c.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060326001410-a54d2-0958f2a110d79d454868f394993050a1c459d74c.gz

Modified files:

 - `vultures/util/tiletrans.c`_


remove superfluous call to ftruncate that i recorded accidentally
----------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Mar 25 22:02:40 SAST 2006
:Patch: `20060325200240-a54d2-876d5748d7dcb483560864cb1f0a0d5f99bedde5.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060325200240-a54d2-876d5748d7dcb483560864cb1f0a0d5f99bedde5.gz

Modified files:

 - `vultures/vultures_opt.c`_


fix vultures on windows
----------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Mar 25 21:42:04 SAST 2006
:Patch: `20060325194204-a54d2-8e1a8965dbfbcf31b76c354af70ca0007335ecd9.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060325194204-a54d2-8e1a8965dbfbcf31b76c354af70ca0007335ecd9.gz

::

	updated the makefiles to build and link vultures_opt.c
	updated vultures_opt.c to make sure windows can save user settings correctly
	updated the makefiles to copy all of the manual

Modified files:

 - `nethack/sys/winnt/Makefile.gcc`_
 - `slashem/sys/winnt/Makefile.gcc`_
 - `vultures/vultures_opt.c`_


update the windows build instructions: newer versions of Mingw, msys
-------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Mar 25 18:55:28 SAST 2006
:Patch: `20060325165528-a54d2-c77a20d4c947a35979cf003b49911f291a4e696c.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060325165528-a54d2-c77a20d4c947a35979cf003b49911f291a4e696c.gz

Modified files:

 - `doc/INSTALL_win32.rst`_


fix a minor redraw bug with scrollable multicolumn menus
-------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Mar 25 16:22:16 SAST 2006
:Patch: `20060325142216-a54d2-81add6113ce298a402f5bb69e752b5dcb9bba616.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060325142216-a54d2-81add6113ce298a402f5bb69e752b5dcb9bba616.gz

Modified files:

 - `vultures/vultures_win.c`_


fix shadows in monster9.png
--------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Mar 25 15:28:29 SAST 2006
:Patch: `20060325132829-a54d2-9b1c4068769abb65f0a6891ed422eb5a5bc20248.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060325132829-a54d2-9b1c4068769abb65f0a6891ed422eb5a5bc20248.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/monster9.png`_


abort the game if a mismatched gametiles.bin is found instead of crashing
------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Mar 25 15:23:36 SAST 2006
:Patch: `20060325132336-a54d2-13d1ebd8a50e8c52fb94f8af83bb4e20a6ab9828.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060325132336-a54d2-13d1ebd8a50e8c52fb94f8af83bb4e20a6ab9828.gz

::

	I frequently forget to copy gametiles.bin into the game directory after modifiying graphics,
	making the game crash because vultures fails to load it's tiles.

Modified files:

 - `vultures/util/tiletrans.c`_
 - `vultures/vultures_tile.c`_


re-add vultures specific code to nethack's end.c
------------------------------------------------ 

:Author: thalerd@in.tum.de
:Date: Sat Mar 25 05:06:51 SAST 2006
:Patch: `20060325030651-a54d2-f5614db8e60f32339563f5d43814fd986f6a9f99.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060325030651-a54d2-f5614db8e60f32339563f5d43814fd986f6a9f99.gz

::

	Without that call to outrip we have no way to distinguish between ASCENDED and QUIT
	Since being unable to display the ascension graphic is a serious bug IMO the code
	goes back in. We do check for flags.tombstone now though, so people can disable
	all ending screens that way if they want to.

Modified files:

 - `nethack/src/end.c`_
 - `vultures/vultures_init.c`_


skip the intro if flags.legacy is set
------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Mar 25 04:18:16 SAST 2006
:Patch: `20060325021816-a54d2-a7a8f6a54c19bc912ebac444448900e2432514d0.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060325021816-a54d2-a7a8f6a54c19bc912ebac444448900e2432514d0.gz

::

	since it causes the introductory messagebox to be skipped, it should skip the intro, too.
	After all, the intro does not get any more interesting over time...

Modified files:

 - `vultures/vultures_init.c`_


add a jellyfish monster tile
---------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Mar 25 03:50:34 SAST 2006
:Patch: `20060325015034-a54d2-f4f341b2ede114d3c46a2b1806b1320eea27498d.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060325015034-a54d2-f4f341b2ede114d3c46a2b1806b1320eea27498d.gz

::

	(This means we have no more water-walking knights around medusa's island :-)

Modified files:

 - `vultures/gamedata/graphics/tilesrc/monster11.png`_
 - `vultures/util/tilespec.c`_


fix up the edges of some shadows
-------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Mar 25 03:50:07 SAST 2006
:Patch: `20060325015007-a54d2-16440134703f17d118d653f62a38078a88574cbc.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060325015007-a54d2-16440134703f17d118d653f62a38078a88574cbc.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/monster10.png`_


add macosx dmg-building scripts and extra files by Dirk Sch[_\c3_][_\b6_]nberger
-------------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Mar 25 01:49:48 SAST 2006
:Patch: `20060324234948-a54d2-260eca588bd46c665ea4496dcac147bf6c82aeab.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060324234948-a54d2-260eca588bd46c665ea4496dcac147bf6c82aeab.gz

::

	I made some slight modifications to use a temporary installation in ./testdir rather than 
	a permanent one in /usr as the source for the dmg. I hope I didn't break anything, as I am
	unable to actually test these changes...

Added files:

 - `dist/macosx/Info-nethack.plist`_
 - `dist/macosx/Info-slashem.plist`_
 - `dist/macosx/makedmg-nethack`_
 - `dist/macosx/makedmg-slashem`_
 - `dist/macosx/vulturesclaw`_
 - `dist/macosx/vulturesclaw.icns`_
 - `dist/macosx/vultureseye`_
 - `dist/macosx/vultureseye.icns`_

Modified files:

 - `GNUmakefile`_


Update the Vulturesclaw logo to say "SLASH'EM 0.0.7" rather than "NetHack 3.4.3" in the left corner
--------------------------------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Fri Mar 24 22:19:24 SAST 2006
:Patch: `20060324201924-a54d2-c03a7d681a4e25d18ee8fb76fe033c3a35cbc304.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060324201924-a54d2-c03a7d681a4e25d18ee8fb76fe033c3a35cbc304.gz

Modified files:

 - `future/graphics/originals/logo.xcf`_
 - `vultures/gamedata/graphics/se_vc_1.png`_


fix up the unix makefiles to account for images having their own subdirectory in the manual
------------------------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Fri Mar 24 15:30:31 SAST 2006
:Patch: `20060324133031-a54d2-80a022730814dc10d157653bea3bc4b424db445b.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060324133031-a54d2-80a022730814dc10d157653bea3bc4b424db445b.gz

::

	windows makefile needs fixing, too :(

Modified files:

 - `nethack/sys/unix/Makefile.top`_
 - `slashem/sys/unix/Makefile.top`_
 - `vultures/gamedata/manual/chapter01.html`_
 - `vultures/gamedata/manual/chapter02.html`_
 - `vultures/gamedata/manual/chapter03.html`_
 - `vultures/gamedata/manual/chapter04.html`_
 - `vultures/gamedata/manual/chapter05.html`_
 - `vultures/gamedata/manual/chapter06.html`_
 - `vultures/gamedata/manual/chapter07.html`_
 - `vultures/gamedata/manual/chapter08.html`_
 - `vultures/gamedata/manual/chapter09.html`_
 - `vultures/gamedata/manual/chapter10.html`_
 - `vultures/gamedata/manual/chapter11.html`_
 - `vultures/gamedata/manual/chapter12.html`_
 - `vultures/gamedata/manual/chapter13.html`_
 - `vultures/gamedata/manual/index.html`_
 - `vultures/gamedata/manual/manual.css`_

Renamed/moved files:

 - `vultures/gamedata/manual/css/manual.css`_ to `vultures/gamedata/manual/manual.css`_


Document the menu shortcuts in section 4 of the manual
------------------------------------------------------ 

:Author: thalerd@in.tum.de
:Date: Fri Mar 24 14:21:20 SAST 2006
:Patch: `20060324122120-a54d2-0591fb7b2c8280e787e1ff820498e532fd59555f.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060324122120-a54d2-0591fb7b2c8280e787e1ff820498e532fd59555f.gz

Modified files:

 - `vultures/gamedata/manual/chapter04.html`_
 - `vultures/gamedata/manual/index.html`_


hide the perm_invent option: we can't use it
-------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Fri Mar 24 13:47:11 SAST 2006
:Patch: `20060324114711-a54d2-6925085dde3f7e23f12dda6d489099348ae4301b.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060324114711-a54d2-6925085dde3f7e23f12dda6d489099348ae4301b.gz

Modified files:

 - `vultures/vultures_main.c`_


All new and shiny manual
------------------------ 

:Author: thalerd@in.tum.de
:Date: Fri Mar 24 05:00:39 SAST 2006
:Patch: `20060324030039-a54d2-270b285b55ec6c827c947847e0873c5f26b228e2.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060324030039-a54d2-270b285b55ec6c827c947847e0873c5f26b228e2.gz

::

	Icreated this manual based on the current NetHack Guidebook, but I certainly wasn't above cut'n'pasting
	from the old manual. Unfortunately that wasn't possible very often, so mostly what remains of the old manual
	in this new edition is the images.

Added files:

 - `vultures/gamedata/manual/chapter01.html`_
 - `vultures/gamedata/manual/chapter02.html`_
 - `vultures/gamedata/manual/chapter03.html`_
 - `vultures/gamedata/manual/chapter04.html`_
 - `vultures/gamedata/manual/chapter05.html`_
 - `vultures/gamedata/manual/chapter06.html`_
 - `vultures/gamedata/manual/chapter07.html`_
 - `vultures/gamedata/manual/chapter08.html`_
 - `vultures/gamedata/manual/chapter09.html`_
 - `vultures/gamedata/manual/chapter10.html`_
 - `vultures/gamedata/manual/chapter11.html`_
 - `vultures/gamedata/manual/chapter12.html`_
 - `vultures/gamedata/manual/chapter13.html`_
 - `vultures/gamedata/manual/css/manual.css`_
 - `vultures/gamedata/manual/img/arrows.png`_
 - `vultures/gamedata/manual/img/char_arc.jpg`_
 - `vultures/gamedata/manual/img/char_fla.jpg`_
 - `vultures/gamedata/manual/img/char_ice.jpg`_
 - `vultures/gamedata/manual/img/char_kni.jpg`_
 - `vultures/gamedata/manual/img/char_nec.jpg`_
 - `vultures/gamedata/manual/img/char_pri.jpg`_
 - `vultures/gamedata/manual/img/char_ran.jpg`_
 - `vultures/gamedata/manual/img/char_rog.jpg`_
 - `vultures/gamedata/manual/img/char_sam.jpg`_
 - `vultures/gamedata/manual/img/char_tou.jpg`_
 - `vultures/gamedata/manual/img/char_val.jpg`_
 - `vultures/gamedata/manual/img/char_wiz.jpg`_
 - `vultures/gamedata/manual/img/contextmenu.png`_
 - `vultures/gamedata/manual/img/door.jpg`_
 - `vultures/gamedata/manual/img/gamewin1.png`_
 - `vultures/gamedata/manual/img/giantant.jpg`_
 - `vultures/gamedata/manual/img/letter_a.png`_
 - `vultures/gamedata/manual/img/letter_c.png`_
 - `vultures/gamedata/manual/img/letter_d.png`_
 - `vultures/gamedata/manual/img/letter_m.png`_
 - `vultures/gamedata/manual/img/letter_o.png`_
 - `vultures/gamedata/manual/img/letter_r.png`_
 - `vultures/gamedata/manual/img/letter_t.png`_
 - `vultures/gamedata/manual/img/letter_v.png`_
 - `vultures/gamedata/manual/img/letter_w.png`_
 - `vultures/gamedata/manual/img/letter_y.png`_
 - `vultures/gamedata/manual/img/map.png`_
 - `vultures/gamedata/manual/img/messages.png`_
 - `vultures/gamedata/manual/img/minimap.png`_
 - `vultures/gamedata/manual/img/obj_food.jpg`_
 - `vultures/gamedata/manual/img/obj_gem.jpg`_
 - `vultures/gamedata/manual/img/obj_potion.jpg`_
 - `vultures/gamedata/manual/img/obj_ring.jpg`_
 - `vultures/gamedata/manual/img/obj_scroll.jpg`_
 - `vultures/gamedata/manual/img/obj_sword.jpg`_
 - `vultures/gamedata/manual/img/paperbg.jpg`_
 - `vultures/gamedata/manual/img/stairs.jpg`_
 - `vultures/gamedata/manual/img/statusbar.png`_
 - `vultures/gamedata/manual/img/tb1.png`_
 - `vultures/gamedata/manual/img/tb2.png`_
 - `vultures/gamedata/manual/img/valley.jpg`_
 - `vultures/gamedata/manual/img/wallheight.png`_
 - `vultures/gamedata/manual/img/walltrans.png`_

Modified files:

 - `vultures/gamedata/manual/index.html`_


remove mention of paletted output from some comments in tiletrans
----------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Tue Mar 21 15:55:32 SAST 2006
:Patch: `20060321135532-a54d2-5b5f37dc0c35a1ca20830c93829dda4aebaa9f09.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060321135532-a54d2-5b5f37dc0c35a1ca20830c93829dda4aebaa9f09.gz

Modified files:

 - `vultures/util/tiletrans.c`_


fix a warning about vultures_load_graphic
----------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Tue Mar 21 15:54:29 SAST 2006
:Patch: `20060321135429-a54d2-bcd731e94deb6a8fd80a50ffad80fccbeee5faca.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060321135429-a54d2-bcd731e94deb6a8fd80a50ffad80fccbeee5faca.gz

Modified files:

 - `vultures/vultures_win.c`_


disable the ESC Menu in NetHack
------------------------------- 

:Author: thalerd@in.tum.de
:Date: Tue Mar 21 13:52:02 SAST 2006
:Patch: `20060321115202-a54d2-4f02da436c3c2cc50842d6c4fdeea3175fbfe22e.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060321115202-a54d2-4f02da436c3c2cc50842d6c4fdeea3175fbfe22e.gz

::

	Maybe we can reenable it someday when we've found a sane way to only grab the
	ESC-keypress when it isn't needed to stop a count or similar

Modified files:

 - `vultures/vultures_win_event.c`_


suppress display of "msghistory" and "windowtype" in th options, too
-------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Tue Mar 21 01:57:09 SAST 2006
:Patch: `20060320235709-a54d2-b124442e43c7c5096da8ea54c77e803902e6d3d2.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060320235709-a54d2-b124442e43c7c5096da8ea54c77e803902e6d3d2.gz

Modified files:

 - `vultures/vultures_main.c`_


add some more options handling to vultures_init_nhwindows
--------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Tue Mar 21 01:40:37 SAST 2006
:Patch: `20060320234037-a54d2-1464cc70c277c4cca37e3847a60df92149dcd831.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060320234037-a54d2-1464cc70c277c4cca37e3847a60df92149dcd831.gz

::

	There is no way to set an option from within vultures in such a way that it can be
	overridden by a config file :(
	Therefore I was conservative in setting options in vultures_init_nhwindows
	
	Currently we set these:
	iflags.menu_tab_sep: needs to be enabled for menu formatting to work
	iflags.num_pad: *critical*; without it mouse movement and attacking are crippled
	iflags.wc_hilite_pet: no point in ever turning it off
	
	Things like runmode which used to be set in options.c will simply have to be set
	by users in their config files if they have a preference

Modified files:

 - `vultures/vultures_main.c`_


window stacking order fix: put the minimap under the message window
------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Tue Mar 21 01:15:26 SAST 2006
:Patch: `20060320231526-a54d2-7659eff39659a1e54745446ddd343a896b5bb1a4.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060320231526-a54d2-7659eff39659a1e54745446ddd343a896b5bb1a4.gz

Modified files:

 - `vultures/vultures_main.c`_
 - `vultures/vultures_win.c`_


display grave screen for the same reason(s) other interfaces do
--------------------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Mon Mar 20 22:39:35 SAST 2006
:Patch: `20060320203935-eb905-24d7b63d40f5c92a907115381f6860da53099b9c.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060320203935-eb905-24d7b63d40f5c92a907115381f6860da53099b9c.gz

::

	I cannot think of any reason at all why vulture's should be
	different.  Fair enough the quit screen is now missing, but
	surely we could display the quit screen upon program closure if
	the tombstone was not displayed already?  This would be a better
	solution (in my mind) than an unneccerary nethack source code change.
	The quit screen should also at the very least take flags.tomestone into
	consideration

Modified files:

 - `nethack/src/end.c`_


place comment note where escapism aught to be fixed
--------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Mon Mar 20 22:36:26 SAST 2006
:Patch: `20060320203626-eb905-1a6a619f1d51effa28f563b051c3fbd404248c24.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060320203626-eb905-1a6a619f1d51effa28f563b051c3fbd404248c24.gz

::

	The first, most obvious, one that comes to mind is "n".
	When prefixing a count command. In it's current state
	this code prevents (or at least makes it behave abnormally)
	when you press 'n' then Escape to cancel if you change your
	mind.

Modified files:

 - `vultures/vultures_win_event.c`_


massive NetHack source cleanup as a delta from NetHack-3.4.3
------------------------------------------------------------ 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Mon Mar 20 22:24:31 SAST 2006
:Patch: `20060320202431-eb905-641b2d4d97a5e5f3637619f2073e8ff3ea0dd8cf.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060320202431-eb905-641b2d4d97a5e5f3637619f2073e8ff3ea0dd8cf.gz

Modified files:

 - `nethack/include/config.h`_
 - `nethack/include/global.h`_
 - `nethack/src/do_name.c`_
 - `nethack/src/options.c`_
 - `nethack/src/weapon.c`_


remove vultures 2 reference from notification email
--------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Mon Mar 20 15:07:31 SAST 2006
:Patch: `20060320130731-eb905-022f94f4f8d52522d885991136f752f941c6ccb2.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060320130731-eb905-022f94f4f8d52522d885991136f752f941c6ccb2.gz

Modified files:

 - `GNUmakefile`_


fix the minimap background redraw problem
----------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Mon Mar 20 13:36:08 SAST 2006
:Patch: `20060320113608-a54d2-f6da459c5838ccd5471d176c820f0623114015e2.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060320113608-a54d2-f6da459c5838ccd5471d176c820f0623114015e2.gz

Modified files:

 - `vultures/vultures_main.c`_
 - `vultures/vultures_map.c`_


use real transparency for the "dark" map tile
--------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Mon Mar 20 01:45:10 SAST 2006
:Patch: `20060319234510-a54d2-785c8c6792feb73ebbf75f0b057fe4ad1352f56c.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060319234510-a54d2-785c8c6792feb73ebbf75f0b057fe4ad1352f56c.gz

Modified files:

 - `vultures/gamedata/graphics/nh_tiles.png`_
 - `vultures/gamedata/graphics/se_tiles.png`_


renaming vultures2 references to vultures
----------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Mon Mar 20 14:00:28 SAST 2006
:Patch: `20060320120028-eb905-79fa255bcd6d72ab638ffe1d49de5ff6abfd09fd.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060320120028-eb905-79fa255bcd6d72ab638ffe1d49de5ff6abfd09fd.gz

Modified files:

 - `GNUmakefile`_
 - `doc/INSTALL_unix.rst`_
 - `util/changelog.py`_
 - `util/posthook.sh`_


TAG post vultures-2 merge
========================= 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Mon Mar 20 13:43:35 SAST 2006
:Patch: `20060320114335-eb905-0f70bbaf96fce77f229ee48206a38d6c94bbdb2b.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060320114335-eb905-0f70bbaf96fce77f229ee48206a38d6c94bbdb2b.gz


TAG pre vultures-2 merge
======================== 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Mon Mar 20 13:42:12 SAST 2006
:Patch: `20060320114212-eb905-5eaf59ced9730287c9925bd0a8e53e904e970642.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060320114212-eb905-5eaf59ced9730287c9925bd0a8e53e904e970642.gz


make doc/context generation a phony
----------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Mon Mar 20 09:43:45 SAST 2006
:Patch: `20060320074345-eb905-120865946270733e54e934585776100bb64c8c88.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060320074345-eb905-120865946270733e54e934585776100bb64c8c88.gz

::

	Silly me, context was only ever generated the very first time.  How useless!
	Any context's prior to this patch are useless *sigh*

Modified files:

 - `doc/Makefile`_


rmove the now useless "rgba" parameter from the vultures Makefile
----------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Mar 18 02:18:53 SAST 2006
:Patch: `20060318001853-a54d2-063e040cc04a40c88eba288bff825dd898ccb858.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060318001853-a54d2-063e040cc04a40c88eba288bff825dd898ccb858.gz

Modified files:

 - `vultures/GNUmakefile`_


add an "offer" context menu action to altars
-------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Mar 18 01:47:43 SAST 2006
:Patch: `20060317234743-a54d2-10fa67eea41beab03dd1b44bcd1a83a45cdab234.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060317234743-a54d2-10fa67eea41beab03dd1b44bcd1a83a45cdab234.gz

Modified files:

 - `vultures/vultures_map.c`_
 - `vultures/vultures_map.h`_


The default action for sinks should be to move onto them, rather than kicking them
---------------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Mar 18 01:35:22 SAST 2006
:Patch: `20060317233522-a54d2-5eea0a60df52fdd6ff32e8d7f47a7a8aaf3cc667.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060317233522-a54d2-5eea0a60df52fdd6ff32e8d7f47a7a8aaf3cc667.gz

::

	It's not a safe thing to do by accident...

Modified files:

 - `vultures/vultures_map.c`_


fix windows Makefiles: tiletrans no longer needs the "rgba" parameter
--------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Fri Mar 17 22:04:56 SAST 2006
:Patch: `20060317200456-a54d2-4fb7d491cbe721617b79c3d0262a37fa6623b1e0.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060317200456-a54d2-4fb7d491cbe721617b79c3d0262a37fa6623b1e0.gz

Modified files:

 - `nethack/sys/winnt/Makefile.gcc`_
 - `slashem/sys/winnt/Makefile.gcc`_


remove support for paletted output from tiletrans
------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Fri Mar 17 22:01:35 SAST 2006
:Patch: `20060317200135-a54d2-786b862a9651698eb3204ffabb267e8294b1039e.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060317200135-a54d2-786b862a9651698eb3204ffabb267e8294b1039e.gz

Modified files:

 - `vultures/util/tiletrans.c`_


fix setting of macros
--------------------- 

:Author: thalerd@in.tum.de
:Date: Fri Mar 17 15:13:14 SAST 2006
:Patch: `20060317131314-a54d2-194d26133974d193a77cfc943b0047584e5f270d.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060317131314-a54d2-194d26133974d193a77cfc943b0047584e5f270d.gz

Modified files:

 - `vultures/vultures_opt.c`_


improve the appearance of the potion of water
--------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Fri Mar 17 14:32:41 SAST 2006
:Patch: `20060317123241-a54d2-a2d18d961326d372b053749e7cd28d469c2d8df3.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060317123241-a54d2-a2d18d961326d372b053749e7cd28d469c2d8df3.gz

::

	also remove the images for holy/unholy water; we weren't using them anyway

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object4.png`_
 - `vultures/util/tilespec.c`_


revert a change to the wall tiles that slipped into the last patch by accident
------------------------------------------------------------------------------ 

:Author: thalerd@in.tum.de
:Date: Fri Mar 17 03:53:42 SAST 2006
:Patch: `20060317015342-a54d2-00b2304d9624eb63e77bf3191939d63cb971c050.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060317015342-a54d2-00b2304d9624eb63e77bf3191939d63cb971c050.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/walls02a.png`_
 - `vultures/gamedata/graphics/tilesrc/walls02c.png`_


automatic conversion of all shadows from checkerboard patterns to real alpha
---------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Fri Mar 17 02:50:01 SAST 2006
:Patch: `20060317005001-a54d2-4de1e1ed81f1114a3243fc252b11011581258c04.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060317005001-a54d2-4de1e1ed81f1114a3243fc252b11011581258c04.gz

::

	The conversion tool did nothing in all cases that were not 100% clear to avoid damaging any tiles.
	This means the easy 80% (large contiguous shadow areas) are done, the complicated cases (slim shadows
	along the edge of a tile) remain.

Modified files:

 - `vultures/gamedata/graphics/tilesrc/engulf.png`_
 - `vultures/gamedata/graphics/tilesrc/engulf2.png`_
 - `vultures/gamedata/graphics/tilesrc/figurine1.png`_
 - `vultures/gamedata/graphics/tilesrc/figurine2.png`_
 - `vultures/gamedata/graphics/tilesrc/figurine3.png`_
 - `vultures/gamedata/graphics/tilesrc/figurine4.png`_
 - `vultures/gamedata/graphics/tilesrc/figurine5.png`_
 - `vultures/gamedata/graphics/tilesrc/figurine6.png`_
 - `vultures/gamedata/graphics/tilesrc/misc_07.png`_
 - `vultures/gamedata/graphics/tilesrc/misc_c1.png`_
 - `vultures/gamedata/graphics/tilesrc/misc_c8.png`_
 - `vultures/gamedata/graphics/tilesrc/monster0.png`_
 - `vultures/gamedata/graphics/tilesrc/monster1.png`_
 - `vultures/gamedata/graphics/tilesrc/monster10.png`_
 - `vultures/gamedata/graphics/tilesrc/monster11.png`_
 - `vultures/gamedata/graphics/tilesrc/monster13.png`_
 - `vultures/gamedata/graphics/tilesrc/monster14.png`_
 - `vultures/gamedata/graphics/tilesrc/monster15.png`_
 - `vultures/gamedata/graphics/tilesrc/monster16.png`_
 - `vultures/gamedata/graphics/tilesrc/monster18.png`_
 - `vultures/gamedata/graphics/tilesrc/monster2.png`_
 - `vultures/gamedata/graphics/tilesrc/monster3.png`_
 - `vultures/gamedata/graphics/tilesrc/monster4.png`_
 - `vultures/gamedata/graphics/tilesrc/monster5.png`_
 - `vultures/gamedata/graphics/tilesrc/monster6.png`_
 - `vultures/gamedata/graphics/tilesrc/monster7.png`_
 - `vultures/gamedata/graphics/tilesrc/monster8.png`_
 - `vultures/gamedata/graphics/tilesrc/monster9.png`_
 - `vultures/gamedata/graphics/tilesrc/monstermisc1.png`_
 - `vultures/gamedata/graphics/tilesrc/monstermisc2.png`_
 - `vultures/gamedata/graphics/tilesrc/object1.png`_
 - `vultures/gamedata/graphics/tilesrc/object2.png`_
 - `vultures/gamedata/graphics/tilesrc/object3.png`_
 - `vultures/gamedata/graphics/tilesrc/object4.png`_
 - `vultures/gamedata/graphics/tilesrc/object5.png`_
 - `vultures/gamedata/graphics/tilesrc/object6.png`_
 - `vultures/gamedata/graphics/tilesrc/statue0.png`_
 - `vultures/gamedata/graphics/tilesrc/statue1.png`_
 - `vultures/gamedata/graphics/tilesrc/statue10.png`_
 - `vultures/gamedata/graphics/tilesrc/statue14.png`_
 - `vultures/gamedata/graphics/tilesrc/statue15.png`_
 - `vultures/gamedata/graphics/tilesrc/statue2.png`_
 - `vultures/gamedata/graphics/tilesrc/statue3.png`_
 - `vultures/gamedata/graphics/tilesrc/statue4.png`_
 - `vultures/gamedata/graphics/tilesrc/statue5.png`_
 - `vultures/gamedata/graphics/tilesrc/statue6.png`_
 - `vultures/gamedata/graphics/tilesrc/statue7.png`_
 - `vultures/gamedata/graphics/tilesrc/statue8.png`_
 - `vultures/gamedata/graphics/tilesrc/statue9.png`_
 - `vultures/gamedata/graphics/tilesrc/walls02a.png`_
 - `vultures/gamedata/graphics/tilesrc/walls02c.png`_


unique graphics for scrolls
--------------------------- 

:Author: thalerd@in.tum.de
:Date: Thu Mar 16 04:15:55 SAST 2006
:Patch: `20060316021555-a54d2-e60dad4457a3fa6938e8e9c3c3d8f9ddf0fe55ef.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060316021555-a54d2-e60dad4457a3fa6938e8e9c3c3d8f9ddf0fe55ef.gz

Added files:

 - `vultures/gamedata/graphics/tilesrc/object6.png`_

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object5.png`_
 - `vultures/util/tilespec.c`_


make it possible to bind tiles to unnamed objects
------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Wed Mar 15 20:06:31 SAST 2006
:Patch: `20060315180631-a54d2-c2632d703dc3d93ed8a9a0d27858fed1c769b010.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060315180631-a54d2-c2632d703dc3d93ed8a9a0d27858fed1c769b010.gz

::

	There are a few unnamed scroll and wand object entries. These entries do have a description
	and can become "real" objects after the names and descriptions have been shuffled, so we need
	to be able to assign tiles to them.

Modified files:

 - `vultures/util/tiletrans.c`_


modify the !vultures_opts.recenter case to recenter when the outer quarter of the screen is entered, rather than the outer 50 pixels
------------------------------------------------------------------------------------------------------------------------------------ 

:Author: thalerd@in.tum.de
:Date: Wed Mar 15 18:38:27 SAST 2006
:Patch: `20060315163827-a54d2-136118e6b18c4dcd915bf855fb0d4c554de5a679.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060315163827-a54d2-136118e6b18c4dcd915bf855fb0d4c554de5a679.gz

::

	also renamed the function to vultures_need_recenter (from vultures_is_onscreen)

Modified files:

 - `vultures/vultures_main.c`_
 - `vultures/vultures_win.c`_
 - `vultures/vultures_win.h`_


use an enum instead of hardcoded numbers for the menu id's in the interface options menu
---------------------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Wed Mar 15 18:30:30 SAST 2006
:Patch: `20060315163030-a54d2-ff591319b32079e1c82809cab09d90c1d364b343.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060315163030-a54d2-ff591319b32079e1c82809cab09d90c1d364b343.gz

Modified files:

 - `vultures/vultures_opt.c`_


make the number of lines in the message area configurable
--------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Wed Mar 15 18:17:52 SAST 2006
:Patch: `20060315161752-a54d2-f02a1889ad2fe4e1a2344908dca38343fb1ba06b.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060315161752-a54d2-f02a1889ad2fe4e1a2344908dca38343fb1ba06b.gz

::

	this should be especially useful on large monitors

Modified files:

 - `vultures/vultures_opt.c`_
 - `vultures/vultures_opt.h`_
 - `vultures/vultures_win.c`_
 - `vultures/vultures_win.h`_


enhance map tooltips to display the number of objects on a square
----------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Wed Mar 15 17:41:09 SAST 2006
:Patch: `20060315154109-a54d2-f4ba39ed511d0d194da47bdc58229880bde48d2f.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060315154109-a54d2-f4ba39ed511d0d194da47bdc58229880bde48d2f.gz

Modified files:

 - `vultures/vultures_map.c`_


use tab separators in the interface options menu to get columns there, too
-------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Wed Mar 15 16:59:41 SAST 2006
:Patch: `20060315145941-a54d2-b490544baf8ed05be9299edba7ef50160d8e29cb.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060315145941-a54d2-b490544baf8ed05be9299edba7ef50160d8e29cb.gz

Modified files:

 - `vultures/vultures_opt.c`_


column layouting for menus
-------------------------- 

:Author: thalerd@in.tum.de
:Date: Wed Mar 15 16:51:06 SAST 2006
:Patch: `20060315145106-a54d2-3a37df241377e3cc5b30a79112766eb1882e101e.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060315145106-a54d2-3a37df241377e3cc5b30a79112766eb1882e101e.gz

Modified files:

 - `vultures/vultures_main.c`_
 - `vultures/vultures_win.c`_
 - `vultures/vultures_win_event.c`_


suppress a whole bunch of config options that are meaningless to us
------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Wed Mar 15 13:19:03 SAST 2006
:Patch: `20060315111903-a54d2-bb798df7579935e602c5abc51d2e555d03b8ac39.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060315111903-a54d2-bb798df7579935e602c5abc51d2e555d03b8ac39.gz

Modified files:

 - `vultures/vultures_main.c`_


.. _util/changelog.py: http://usrsrc.org/darcs/vultures/util/changelog.py
.. _vultures/gamedata/graphics/tilesrc/object7.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object7.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/vultures_win_event.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win_event.c
.. _vultures/vultures_win_event.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win_event.c
.. _vultures/gamedata/fonts/vera.ttf: http://usrsrc.org/darcs/vultures/vultures/gamedata/fonts/vera.ttf
.. _vultures/gamedata/fonts/VeraSe.ttf: http://usrsrc.org/darcs/vultures/vultures/gamedata/fonts/VeraSe.ttf
.. _vultures/gamedata/fonts/VeraSe.ttf: http://usrsrc.org/darcs/vultures/vultures/gamedata/fonts/VeraSe.ttf
.. _vultures/vultures_win.h: http://usrsrc.org/darcs/vultures/vultures/vultures_win.h
.. _vultures/gamedata/graphics/tilesrc/object7.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object7.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/gamedata/graphics/tilesrc/object1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object1.png
.. _vultures/gamedata/graphics/tilesrc/object6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object6.png
.. _vultures/gamedata/graphics/tilesrc/object7.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object7.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/vultureversion.h: http://usrsrc.org/darcs/vultures/vultures/vultureversion.h
.. _vultures/vulturesversion.h: http://usrsrc.org/darcs/vultures/vultures/vulturesversion.h
.. _GNUmakefile: http://usrsrc.org/darcs/vultures/GNUmakefile
.. _vultures/vulturev.h: http://usrsrc.org/darcs/vultures/vultures/vulturev.h
.. _util/changelog.py: http://usrsrc.org/darcs/vultures/util/changelog.py
.. _vultures/gamedata/graphics/tilesrc/object6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object6.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_types.h: http://usrsrc.org/darcs/vultures/vultures/vultures_types.h
.. _vultures/gamedata/graphics/tilesrc/unknown.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/unknown.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/gamedata/graphics/tilesrc/monster8.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster8.png
.. _vultures/gamedata/graphics/tilesrc/object6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object6.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/gamedata/graphics/tilesrc/object6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object6.png
.. _vultures/gamedata/graphics/tilesrc/object6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object6.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/gamedata/graphics/tilesrc/monster10.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster10.png
.. _vultures/gamedata/graphics/tilesrc/monster13.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster13.png
.. _vultures/gamedata/graphics/tilesrc/monster14.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster14.png
.. _vultures/gamedata/graphics/tilesrc/monster15.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster15.png
.. _vultures/gamedata/graphics/tilesrc/monster16.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster16.png
.. _vultures/gamedata/graphics/tilesrc/monster18.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster18.png
.. _vultures/gamedata/graphics/tilesrc/monster3.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster3.png
.. _vultures/gamedata/graphics/tilesrc/monster4.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster4.png
.. _vultures/gamedata/graphics/tilesrc/monster5.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster5.png
.. _vultures/gamedata/graphics/tilesrc/monster6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster6.png
.. _vultures/gamedata/graphics/tilesrc/monster7.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster7.png
.. _vultures/gamedata/graphics/tilesrc/monster8.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster8.png
.. _vultures/gamedata/graphics/tilesrc/monster9.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster9.png
.. _vultures/gamedata/graphics/tilesrc/monstermisc1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monstermisc1.png
.. _vultures/gamedata/graphics/tilesrc/monstermisc2.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monstermisc2.png
.. _vultures/gamedata/graphics/tilesrc/statue0.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/statue0.png
.. _vultures/gamedata/graphics/tilesrc/misc_c1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/misc_c1.png
.. _vultures/gamedata/graphics/tilesrc/misc_c8.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/misc_c8.png
.. _vultures/gamedata/graphics/tilesrc/object6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object6.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/vultures_map.c: http://usrsrc.org/darcs/vultures/vultures/vultures_map.c
.. _nethack/sys/unix/Makefile.top: http://usrsrc.org/darcs/vultures/nethack/sys/unix/Makefile.top
.. _slashem/sys/unix/Makefile.top: http://usrsrc.org/darcs/vultures/slashem/sys/unix/Makefile.top
.. _vultures/gamedata/manual/chapter09.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter09.html
.. _vultures/vultures_win.h: http://usrsrc.org/darcs/vultures/vultures/vultures_win.h
.. _vultures/vultures_init.c: http://usrsrc.org/darcs/vultures/vultures/vultures_init.c
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_opt.c: http://usrsrc.org/darcs/vultures/vultures/vultures_opt.c
.. _vultures/vultures_win.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win.c
.. _vultures/vultures_win_event.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win_event.c
.. _vultures/vultures_win_event.h: http://usrsrc.org/darcs/vultures/vultures/vultures_win_event.h
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/gamedata/graphics/tilesrc/monster0.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster0.png
.. _vultures/gamedata/graphics/tilesrc/monster1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster1.png
.. _vultures/gamedata/graphics/tilesrc/monster2.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster2.png
.. _vultures/gamedata/graphics/tilesrc/monster3.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster3.png
.. _vultures/gamedata/graphics/se_vc_1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/se_vc_1.png
.. _vultures/gamedata/graphics/nh_ve_1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/nh_ve_1.png
.. _vultures/vultures_init.c: http://usrsrc.org/darcs/vultures/vultures/vultures_init.c
.. _Makefile: http://usrsrc.org/darcs/vultures/Makefile
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_win.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win.c
.. _vultures/vultures_map.c: http://usrsrc.org/darcs/vultures/vultures/vultures_map.c
.. _vultures/vultures_map.c: http://usrsrc.org/darcs/vultures/vultures/vultures_map.c
.. _vultures/vultures_init.c: http://usrsrc.org/darcs/vultures/vultures/vultures_init.c
.. _vultures/gamedata/manual/chapter04.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter04.html
.. _vultures/vultures_sdl.c: http://usrsrc.org/darcs/vultures/vultures/vultures_sdl.c
.. _nethack/sys/winnt/Makefile.gcc: http://usrsrc.org/darcs/vultures/nethack/sys/winnt/Makefile.gcc
.. _slashem/sys/winnt/Makefile.gcc: http://usrsrc.org/darcs/vultures/slashem/sys/winnt/Makefile.gcc
.. _doc/INSTALL_win32.rst: http://usrsrc.org/darcs/vultures/doc/INSTALL_win32.rst
.. _dist/macosx/makedmg-nethack: http://usrsrc.org/darcs/vultures/dist/macosx/makedmg-nethack
.. _dist/macosx/makedmg-slashem: http://usrsrc.org/darcs/vultures/dist/macosx/makedmg-slashem
.. _vultures/vultures_conf.h: http://usrsrc.org/darcs/vultures/vultures/vultures_conf.h
.. _GNUmakefile: http://usrsrc.org/darcs/vultures/GNUmakefile
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_map.c: http://usrsrc.org/darcs/vultures/vultures/vultures_map.c
.. _vultures/vultures_map.c: http://usrsrc.org/darcs/vultures/vultures/vultures_map.c
.. _vultures/vultures_map.h: http://usrsrc.org/darcs/vultures/vultures/vultures_map.h
.. _GNUmakefile: http://usrsrc.org/darcs/vultures/GNUmakefile
.. _dist/macosx/makedmg-nethack: http://usrsrc.org/darcs/vultures/dist/macosx/makedmg-nethack
.. _dist/macosx/makedmg-slashem: http://usrsrc.org/darcs/vultures/dist/macosx/makedmg-slashem
.. _nethack/sys/unix/Makefile.src: http://usrsrc.org/darcs/vultures/nethack/sys/unix/Makefile.src
.. _slashem/sys/unix/Makefile.src: http://usrsrc.org/darcs/vultures/slashem/sys/unix/Makefile.src
.. _vultures/vultures_gfl.c: http://usrsrc.org/darcs/vultures/vultures/vultures_gfl.c
.. _vultures/vultures_win.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win.c
.. _vultures/vultures_win.h: http://usrsrc.org/darcs/vultures/vultures/vultures_win.h
.. _vultures/vultures_gfl.c: http://usrsrc.org/darcs/vultures/vultures/vultures_gfl.c
.. _vultures/util/tiletrans.c: http://usrsrc.org/darcs/vultures/vultures/util/tiletrans.c
.. _vultures/vultures_opt.c: http://usrsrc.org/darcs/vultures/vultures/vultures_opt.c
.. _nethack/sys/winnt/Makefile.gcc: http://usrsrc.org/darcs/vultures/nethack/sys/winnt/Makefile.gcc
.. _slashem/sys/winnt/Makefile.gcc: http://usrsrc.org/darcs/vultures/slashem/sys/winnt/Makefile.gcc
.. _vultures/vultures_opt.c: http://usrsrc.org/darcs/vultures/vultures/vultures_opt.c
.. _doc/INSTALL_win32.rst: http://usrsrc.org/darcs/vultures/doc/INSTALL_win32.rst
.. _vultures/vultures_win.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win.c
.. _vultures/gamedata/graphics/tilesrc/monster9.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster9.png
.. _vultures/util/tiletrans.c: http://usrsrc.org/darcs/vultures/vultures/util/tiletrans.c
.. _vultures/vultures_tile.c: http://usrsrc.org/darcs/vultures/vultures/vultures_tile.c
.. _nethack/src/end.c: http://usrsrc.org/darcs/vultures/nethack/src/end.c
.. _vultures/vultures_init.c: http://usrsrc.org/darcs/vultures/vultures/vultures_init.c
.. _vultures/vultures_init.c: http://usrsrc.org/darcs/vultures/vultures/vultures_init.c
.. _vultures/gamedata/graphics/tilesrc/monster11.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster11.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/gamedata/graphics/tilesrc/monster10.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster10.png
.. _GNUmakefile: http://usrsrc.org/darcs/vultures/GNUmakefile
.. _dist/macosx/Info-nethack.plist: http://usrsrc.org/darcs/vultures/dist/macosx/Info-nethack.plist
.. _dist/macosx/Info-slashem.plist: http://usrsrc.org/darcs/vultures/dist/macosx/Info-slashem.plist
.. _dist/macosx/makedmg-nethack: http://usrsrc.org/darcs/vultures/dist/macosx/makedmg-nethack
.. _dist/macosx/makedmg-slashem: http://usrsrc.org/darcs/vultures/dist/macosx/makedmg-slashem
.. _dist/macosx/vulturesclaw: http://usrsrc.org/darcs/vultures/dist/macosx/vulturesclaw
.. _dist/macosx/vulturesclaw.icns: http://usrsrc.org/darcs/vultures/dist/macosx/vulturesclaw.icns
.. _dist/macosx/vultureseye: http://usrsrc.org/darcs/vultures/dist/macosx/vultureseye
.. _dist/macosx/vultureseye.icns: http://usrsrc.org/darcs/vultures/dist/macosx/vultureseye.icns
.. _future/graphics/originals/logo.xcf: http://usrsrc.org/darcs/vultures/future/graphics/originals/logo.xcf
.. _vultures/gamedata/graphics/se_vc_1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/se_vc_1.png
.. _vultures/gamedata/manual/css/manual.css: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/css/manual.css
.. _vultures/gamedata/manual/manual.css: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/manual.css
.. _nethack/sys/unix/Makefile.top: http://usrsrc.org/darcs/vultures/nethack/sys/unix/Makefile.top
.. _slashem/sys/unix/Makefile.top: http://usrsrc.org/darcs/vultures/slashem/sys/unix/Makefile.top
.. _vultures/gamedata/manual/chapter01.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter01.html
.. _vultures/gamedata/manual/chapter02.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter02.html
.. _vultures/gamedata/manual/chapter03.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter03.html
.. _vultures/gamedata/manual/chapter04.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter04.html
.. _vultures/gamedata/manual/chapter05.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter05.html
.. _vultures/gamedata/manual/chapter06.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter06.html
.. _vultures/gamedata/manual/chapter07.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter07.html
.. _vultures/gamedata/manual/chapter08.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter08.html
.. _vultures/gamedata/manual/chapter09.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter09.html
.. _vultures/gamedata/manual/chapter10.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter10.html
.. _vultures/gamedata/manual/chapter11.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter11.html
.. _vultures/gamedata/manual/chapter12.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter12.html
.. _vultures/gamedata/manual/chapter13.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter13.html
.. _vultures/gamedata/manual/index.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/index.html
.. _vultures/gamedata/manual/manual.css: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/manual.css
.. _vultures/gamedata/manual/chapter04.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter04.html
.. _vultures/gamedata/manual/index.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/index.html
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/gamedata/manual/chapter01.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter01.html
.. _vultures/gamedata/manual/chapter02.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter02.html
.. _vultures/gamedata/manual/chapter03.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter03.html
.. _vultures/gamedata/manual/chapter04.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter04.html
.. _vultures/gamedata/manual/chapter05.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter05.html
.. _vultures/gamedata/manual/chapter06.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter06.html
.. _vultures/gamedata/manual/chapter07.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter07.html
.. _vultures/gamedata/manual/chapter08.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter08.html
.. _vultures/gamedata/manual/chapter09.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter09.html
.. _vultures/gamedata/manual/chapter10.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter10.html
.. _vultures/gamedata/manual/chapter11.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter11.html
.. _vultures/gamedata/manual/chapter12.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter12.html
.. _vultures/gamedata/manual/chapter13.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter13.html
.. _vultures/gamedata/manual/css/manual.css: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/css/manual.css
.. _vultures/gamedata/manual/img/arrows.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/arrows.png
.. _vultures/gamedata/manual/img/char_arc.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/char_arc.jpg
.. _vultures/gamedata/manual/img/char_fla.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/char_fla.jpg
.. _vultures/gamedata/manual/img/char_ice.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/char_ice.jpg
.. _vultures/gamedata/manual/img/char_kni.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/char_kni.jpg
.. _vultures/gamedata/manual/img/char_nec.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/char_nec.jpg
.. _vultures/gamedata/manual/img/char_pri.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/char_pri.jpg
.. _vultures/gamedata/manual/img/char_ran.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/char_ran.jpg
.. _vultures/gamedata/manual/img/char_rog.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/char_rog.jpg
.. _vultures/gamedata/manual/img/char_sam.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/char_sam.jpg
.. _vultures/gamedata/manual/img/char_tou.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/char_tou.jpg
.. _vultures/gamedata/manual/img/char_val.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/char_val.jpg
.. _vultures/gamedata/manual/img/char_wiz.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/char_wiz.jpg
.. _vultures/gamedata/manual/img/contextmenu.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/contextmenu.png
.. _vultures/gamedata/manual/img/door.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/door.jpg
.. _vultures/gamedata/manual/img/gamewin1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/gamewin1.png
.. _vultures/gamedata/manual/img/giantant.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/giantant.jpg
.. _vultures/gamedata/manual/img/letter_a.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/letter_a.png
.. _vultures/gamedata/manual/img/letter_c.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/letter_c.png
.. _vultures/gamedata/manual/img/letter_d.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/letter_d.png
.. _vultures/gamedata/manual/img/letter_m.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/letter_m.png
.. _vultures/gamedata/manual/img/letter_o.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/letter_o.png
.. _vultures/gamedata/manual/img/letter_r.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/letter_r.png
.. _vultures/gamedata/manual/img/letter_t.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/letter_t.png
.. _vultures/gamedata/manual/img/letter_v.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/letter_v.png
.. _vultures/gamedata/manual/img/letter_w.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/letter_w.png
.. _vultures/gamedata/manual/img/letter_y.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/letter_y.png
.. _vultures/gamedata/manual/img/map.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/map.png
.. _vultures/gamedata/manual/img/messages.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/messages.png
.. _vultures/gamedata/manual/img/minimap.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/minimap.png
.. _vultures/gamedata/manual/img/obj_food.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/obj_food.jpg
.. _vultures/gamedata/manual/img/obj_gem.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/obj_gem.jpg
.. _vultures/gamedata/manual/img/obj_potion.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/obj_potion.jpg
.. _vultures/gamedata/manual/img/obj_ring.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/obj_ring.jpg
.. _vultures/gamedata/manual/img/obj_scroll.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/obj_scroll.jpg
.. _vultures/gamedata/manual/img/obj_sword.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/obj_sword.jpg
.. _vultures/gamedata/manual/img/paperbg.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/paperbg.jpg
.. _vultures/gamedata/manual/img/stairs.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/stairs.jpg
.. _vultures/gamedata/manual/img/statusbar.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/statusbar.png
.. _vultures/gamedata/manual/img/tb1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/tb1.png
.. _vultures/gamedata/manual/img/tb2.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/tb2.png
.. _vultures/gamedata/manual/img/valley.jpg: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/valley.jpg
.. _vultures/gamedata/manual/img/wallheight.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/wallheight.png
.. _vultures/gamedata/manual/img/walltrans.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/img/walltrans.png
.. _vultures/gamedata/manual/index.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/index.html
.. _vultures/util/tiletrans.c: http://usrsrc.org/darcs/vultures/vultures/util/tiletrans.c
.. _vultures/vultures_win.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win.c
.. _vultures/vultures_win_event.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win_event.c
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_win.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win.c
.. _nethack/src/end.c: http://usrsrc.org/darcs/vultures/nethack/src/end.c
.. _vultures/vultures_win_event.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win_event.c
.. _nethack/include/config.h: http://usrsrc.org/darcs/vultures/nethack/include/config.h
.. _nethack/include/global.h: http://usrsrc.org/darcs/vultures/nethack/include/global.h
.. _nethack/src/do_name.c: http://usrsrc.org/darcs/vultures/nethack/src/do_name.c
.. _nethack/src/options.c: http://usrsrc.org/darcs/vultures/nethack/src/options.c
.. _nethack/src/weapon.c: http://usrsrc.org/darcs/vultures/nethack/src/weapon.c
.. _GNUmakefile: http://usrsrc.org/darcs/vultures/GNUmakefile
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_map.c: http://usrsrc.org/darcs/vultures/vultures/vultures_map.c
.. _vultures/gamedata/graphics/nh_tiles.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/nh_tiles.png
.. _vultures/gamedata/graphics/se_tiles.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/se_tiles.png
.. _GNUmakefile: http://usrsrc.org/darcs/vultures/GNUmakefile
.. _doc/INSTALL_unix.rst: http://usrsrc.org/darcs/vultures/doc/INSTALL_unix.rst
.. _util/changelog.py: http://usrsrc.org/darcs/vultures/util/changelog.py
.. _util/posthook.sh: http://usrsrc.org/darcs/vultures/util/posthook.sh
.. _doc/Makefile: http://usrsrc.org/darcs/vultures/doc/Makefile
.. _vultures/GNUmakefile: http://usrsrc.org/darcs/vultures/vultures/GNUmakefile
.. _vultures/vultures_map.c: http://usrsrc.org/darcs/vultures/vultures/vultures_map.c
.. _vultures/vultures_map.h: http://usrsrc.org/darcs/vultures/vultures/vultures_map.h
.. _vultures/vultures_map.c: http://usrsrc.org/darcs/vultures/vultures/vultures_map.c
.. _nethack/sys/winnt/Makefile.gcc: http://usrsrc.org/darcs/vultures/nethack/sys/winnt/Makefile.gcc
.. _slashem/sys/winnt/Makefile.gcc: http://usrsrc.org/darcs/vultures/slashem/sys/winnt/Makefile.gcc
.. _vultures/util/tiletrans.c: http://usrsrc.org/darcs/vultures/vultures/util/tiletrans.c
.. _vultures/vultures_opt.c: http://usrsrc.org/darcs/vultures/vultures/vultures_opt.c
.. _vultures/gamedata/graphics/tilesrc/object4.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object4.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/gamedata/graphics/tilesrc/walls02a.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/walls02a.png
.. _vultures/gamedata/graphics/tilesrc/walls02c.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/walls02c.png
.. _vultures/gamedata/graphics/tilesrc/engulf.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/engulf.png
.. _vultures/gamedata/graphics/tilesrc/engulf2.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/engulf2.png
.. _vultures/gamedata/graphics/tilesrc/figurine1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/figurine1.png
.. _vultures/gamedata/graphics/tilesrc/figurine2.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/figurine2.png
.. _vultures/gamedata/graphics/tilesrc/figurine3.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/figurine3.png
.. _vultures/gamedata/graphics/tilesrc/figurine4.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/figurine4.png
.. _vultures/gamedata/graphics/tilesrc/figurine5.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/figurine5.png
.. _vultures/gamedata/graphics/tilesrc/figurine6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/figurine6.png
.. _vultures/gamedata/graphics/tilesrc/misc_07.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/misc_07.png
.. _vultures/gamedata/graphics/tilesrc/misc_c1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/misc_c1.png
.. _vultures/gamedata/graphics/tilesrc/misc_c8.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/misc_c8.png
.. _vultures/gamedata/graphics/tilesrc/monster0.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster0.png
.. _vultures/gamedata/graphics/tilesrc/monster1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster1.png
.. _vultures/gamedata/graphics/tilesrc/monster10.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster10.png
.. _vultures/gamedata/graphics/tilesrc/monster11.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster11.png
.. _vultures/gamedata/graphics/tilesrc/monster13.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster13.png
.. _vultures/gamedata/graphics/tilesrc/monster14.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster14.png
.. _vultures/gamedata/graphics/tilesrc/monster15.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster15.png
.. _vultures/gamedata/graphics/tilesrc/monster16.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster16.png
.. _vultures/gamedata/graphics/tilesrc/monster18.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster18.png
.. _vultures/gamedata/graphics/tilesrc/monster2.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster2.png
.. _vultures/gamedata/graphics/tilesrc/monster3.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster3.png
.. _vultures/gamedata/graphics/tilesrc/monster4.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster4.png
.. _vultures/gamedata/graphics/tilesrc/monster5.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster5.png
.. _vultures/gamedata/graphics/tilesrc/monster6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster6.png
.. _vultures/gamedata/graphics/tilesrc/monster7.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster7.png
.. _vultures/gamedata/graphics/tilesrc/monster8.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster8.png
.. _vultures/gamedata/graphics/tilesrc/monster9.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster9.png
.. _vultures/gamedata/graphics/tilesrc/monstermisc1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monstermisc1.png
.. _vultures/gamedata/graphics/tilesrc/monstermisc2.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monstermisc2.png
.. _vultures/gamedata/graphics/tilesrc/object1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object1.png
.. _vultures/gamedata/graphics/tilesrc/object2.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object2.png
.. _vultures/gamedata/graphics/tilesrc/object3.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object3.png
.. _vultures/gamedata/graphics/tilesrc/object4.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object4.png
.. _vultures/gamedata/graphics/tilesrc/object5.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object5.png
.. _vultures/gamedata/graphics/tilesrc/object6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object6.png
.. _vultures/gamedata/graphics/tilesrc/statue0.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/statue0.png
.. _vultures/gamedata/graphics/tilesrc/statue1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/statue1.png
.. _vultures/gamedata/graphics/tilesrc/statue10.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/statue10.png
.. _vultures/gamedata/graphics/tilesrc/statue14.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/statue14.png
.. _vultures/gamedata/graphics/tilesrc/statue15.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/statue15.png
.. _vultures/gamedata/graphics/tilesrc/statue2.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/statue2.png
.. _vultures/gamedata/graphics/tilesrc/statue3.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/statue3.png
.. _vultures/gamedata/graphics/tilesrc/statue4.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/statue4.png
.. _vultures/gamedata/graphics/tilesrc/statue5.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/statue5.png
.. _vultures/gamedata/graphics/tilesrc/statue6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/statue6.png
.. _vultures/gamedata/graphics/tilesrc/statue7.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/statue7.png
.. _vultures/gamedata/graphics/tilesrc/statue8.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/statue8.png
.. _vultures/gamedata/graphics/tilesrc/statue9.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/statue9.png
.. _vultures/gamedata/graphics/tilesrc/walls02a.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/walls02a.png
.. _vultures/gamedata/graphics/tilesrc/walls02c.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/walls02c.png
.. _vultures/gamedata/graphics/tilesrc/object5.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object5.png
.. _vultures/gamedata/graphics/tilesrc/object6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object6.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/util/tiletrans.c: http://usrsrc.org/darcs/vultures/vultures/util/tiletrans.c
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_win.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win.c
.. _vultures/vultures_win.h: http://usrsrc.org/darcs/vultures/vultures/vultures_win.h
.. _vultures/vultures_opt.c: http://usrsrc.org/darcs/vultures/vultures/vultures_opt.c
.. _vultures/vultures_opt.c: http://usrsrc.org/darcs/vultures/vultures/vultures_opt.c
.. _vultures/vultures_opt.h: http://usrsrc.org/darcs/vultures/vultures/vultures_opt.h
.. _vultures/vultures_win.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win.c
.. _vultures/vultures_win.h: http://usrsrc.org/darcs/vultures/vultures/vultures_win.h
.. _vultures/vultures_map.c: http://usrsrc.org/darcs/vultures/vultures/vultures_map.c
.. _vultures/vultures_opt.c: http://usrsrc.org/darcs/vultures/vultures/vultures_opt.c
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_win.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win.c
.. _vultures/vultures_win_event.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win_event.c
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
